> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Volume

> Amount of trading volume in USD

## Overview

* **Denomination:** USD
* **Type:** USD Value
* **Interval:** Daily
* **Source:** Blockworks

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -H "x-api-key: YOUR_API_KEY" \
    "https://api.blockworks.com/v1/metrics/volume-usd?project=raydium"
  ```

  ```typescript TypeScript theme={null}
  const res = await fetch(
    'https://api.blockworks.com/v1/metrics/volume-usd?project=raydium',
    { headers: { 'x-api-key': 'YOUR_API_KEY' } }
  )
  const data = await res.json()
  ```

  ```python Python theme={null}
  import requests

  r = requests.get(
    'https://api.blockworks.com/v1/metrics/volume-usd',
    headers={'x-api-key': 'YOUR_API_KEY'},
    params={'project': 'raydium'}
  )
  data = r.json()
  ```
</CodeGroup>

## Example Response

```json theme={null}
{
  "raydium": [
    {
      "date": "2026-04-19",
      "value": 88895016.8236686
    },
    {
      "date": "2026-04-18",
      "value": 73141234.71883819
    },
    {
      "date": "2026-04-17",
      "value": 139810154.4635807
    },
    {
      "date": "2026-04-16",
      "value": 157883621.892177
    },
    {
      "date": "2026-04-15",
      "value": 96036804.88780358
    }
  ]
}
```

## Notes

* Intervals are daily unless otherwise noted.
* Data is updated daily and may be revised after late-arriving data.


## OpenAPI

````yaml GET /v1/metrics/volume-usd
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/metrics/volume-usd:
    get:
      summary: Volume Usd
      description: Retrieve the 'volume-usd' metric for supported projects.
      operationId: MetricController_getResults_v1_volume_usd
      parameters:
        - name: project
          in: query
          required: true
          description: Project slug (comma-separated for multiple).
          schema:
            type: string
            enum:
              - ZeroFi
              - byreal
              - goonfi
              - humidifi
              - lifinity
              - meteroa
              - orca
              - pumpfun
              - raydium
              - solfi
              - stabble
              - tessera
            example: ZeroFi
          examples:
            ZeroFi:
              value: ZeroFi
              summary: ZeroFi
            byreal:
              value: byreal
              summary: Byreal
            goonfi:
              value: goonfi
              summary: Goonfi
            humidifi:
              value: humidifi
              summary: Humidifi
            lifinity:
              value: lifinity
              summary: Lifinity
            meteroa:
              value: meteroa
              summary: Meteroa
            orca:
              value: orca
              summary: Orca
            pumpfun:
              value: pumpfun
              summary: Pumpfun
            raydium:
              value: raydium
              summary: Raydium
            solfi:
              value: solfi
              summary: Solfi
            stabble:
              value: stabble
              summary: Stabble
            tessera:
              value: tessera
              summary: Tessera
            multi:
              value: ZeroFi,byreal
              summary: ZeroFi + Byreal
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: Start date (YYYY-MM-DD)
        - name: end_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: End date (YYYY-MM-DD)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
              example:
                projectName:
                  - date: '2025-08-10'
                    value: 123456.789
                  - date: '2025-08-11'
                    value: 234567.89
                  - date: '2025-08-12'
                    value: 345678.901
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````